Mail archive
alpine-devel

[alpine-devel] [PATCH] main/ghostscript: cups driver needed for printing

From: Isaac Dunham <ibid.ag_at_gmail.com>
Date: Sun, 29 Jun 2014 23:03:31 -0700

Without the 'cups' driver being enabled in ghostscript, cups cannot work.
---
 main/ghostscript/APKBUILD | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)
diff --git a/main/ghostscript/APKBUILD b/main/ghostscript/APKBUILD
index f61b15e..1df4836 100644
--- a/main/ghostscript/APKBUILD
+++ b/main/ghostscript/APKBUILD
_at_@ -2,14 +2,14 @@
 # Maintainer: Cameron Banta <cbanta_at_gmail.com>
 pkgname=ghostscript
 pkgver=9.10
-pkgrel=0
+pkgrel=1
 pkgdesc="An interpreter for the PostScript language and for PDF"
 url="http://ghostscript.com/"
 arch="all"
 license="GPL3"
 makedepends="autoconf automake libjpeg-turbo-dev libpng-dev jasper-dev expat-dev
 	zlib-dev tiff-dev freetype-dev libiconv-dev lcms-dev gtk+3.0-dev
-	libtool"
+	cups-dev libtool"
 subpackages="$pkgname-doc $pkgname-dev $pkgname-gtk"
 source="http://downloads.ghostscript.com/public/$pkgname-$pkgver.tar.gz"
 
_at_@ -64,7 +64,7 @@ build(){
 		--with-jbig2dec \
 		--without-omni \
 		--enable-gtk \
-		--with-drivers=FILES \
+		--with-drivers=FILES,cups \
 		--with-fontpath=/usr/share/fonts/Type1:/usr/share/fonts \
 		--disable-compile-inits \
 		|| return 1
-- 
2.0.1
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Sun Jun 29 2014 - 23:03:31 UTC